### Method

# Dex Limiter close_after_drain

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_limiter_close_after_drain (
      DexLimiter* limiter
    )

#### Description [src]

Closes `limiter` and waits for all queued and running work to complete.

After this function is called, new acquire attempts are rejected with `DEX_ERROR_SEMAPHORE_CLOSED`.

The returned future resolves to `TRUE` once all outstanding pending acquire futures and held permits are complete. Existing permit holders must still eventually release.

Available since: 1.2

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `true`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.